### Method

# Soup MessageHeaders set_expectations

#### Declaration [src]

    void
    soup_message_headers_set_expectations (
      SoupMessageHeaders* hdrs,
      SoupExpectation expectations
    )

#### Description [src]

Sets `hdrs`‘s “Expect” header according to `expectations`.

Currently `SOUP_EXPECTATION_CONTINUE` is the only known expectation value. You should set this value on a request if you are sending a large message body (eg, via POST or PUT), and want to give the server a chance to reject the request after seeing just the headers (eg, because it will require authentication before allowing you to post, or because you’re POSTing to a URL that doesn’t exist). This saves you from having to transmit the large request body when the server is just going to ignore it anyway.

#### Parameters

`expectations`

  Type: `SoupExpectation`

  The expectations to set.